GSPL-HOSTEDIT(8)

NAME
gspl-hostedit - edit GNUspool host table

gspl-xhostedit - edit GNUspool host table

SYNOPSIS
gspl-hostedit [ -o file ] [ -s arg ] [ -I ] [ file ]

gspl-xhostedit [ -o file ] [ -s arg ] [ -I ] [ file ]

DESCRIPTION
gspl-hostedit is a simple curses-based program to edit host tables for gnuspool.hosts, the host table for GNUspool.

gspl-xhostedit is a similar program using GTK+

They know about local addresses (selecting the correct IP address for a machine with different IPs on different networks), Windows clients, DHCP, trusted hosts, manual connections, probes and timeouts.

Input is taken from standard input unless a file name is given, and output is to standard output unless the -o option is given.

Normally they would be run as follows:

        gspl-hostedit -I /usr/local/etc/gnuspool.hosts

You will usually have to stop and restart GNUspool after you have done this so that all parts of the system "know" about the new hosts, however this may not be necessary in all cases, you may only have to ""kill -1"" the process id of the xtnetserv process.

Options are identical in each case (except gspl-xhostedit also takes options parsed by GTK+).

OPTIONS

-o file
    Output to the named file rather than Standard Output

-s char
    Where char is "h" or "i", sort display by host name or by IP address.

-I  Edit in place; a file argument must be given.

COMMANDS
The following command keys are used from within the screen displayed by gspl-hostedit. As with other GNUspool commands, any commands which operate upon an existing item will do so with the item to which the cursor is moved. gspl-xhostedit takes similar commands as menu entries.

k or cursor up
    Move cursor up.

j or cursor down
    Move cursor down.

N or next page
    Scroll down a screenful.

P or previous page
    Scroll up a screenful.

q   Quit and write hosts file.

a   Create a new hosts entry.

c   Edit the selected hosts entry.

d   Delete the selected hosts entry.

l   Edit the local hosts entry.

u   Set the default user name for DHCP clients.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.